gui/gtk.c: Add a const.
darktable.c: Initialize scroll_to to NULL.

Attemps to fix #12125.
darktable.c: Initialize scroll_to to NULL.

Attemps to fix #12125.
darktable.c: Initialize scroll_to to NULL.

Attemps to fix #12125.
darkroom.c: Reset darktable.gui->scroll_to.

Avoid keeping pointer to IOP module when changing image.

Fixes #12125.
darkroom.c: Reset darktable.gui->scroll_to.

Avoid keeping pointer to IOP module when changing image.

Fixes #12125.
